SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Apache Tomcat Vendors:   Apache Software Foundation
(Oracle Issues Fix for Oracle Linux) Apache Tomcat Application Listener Facade Object Error Lets Remote Users Modify Data on the Target System
SecurityTracker Alert ID:  1039017
SecurityTracker URL:  http://securitytracker.com/id/1039017
CVE Reference:   CVE-2017-5648   (Links to External Site)
Date:  Jul 28 2017
Impact:   Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 7.0.0 to 7.0.75, 8.0.0.RC1 to 8.0.41, 8.5.0 to 8.5.11, 9.0.0.M1 to 9.0.0.M17
Description:   A vulnerability was reported in Apache Tomcat. A remote user can access and modify data on the target system.

Some application listener calls do not use the appropriate facade object. An untrusted application running under a SecurityManager can retain a reference to the call or response object and access or modify data associated with a different application.

Impact:   A remote user can access and modify data on the target system.
Solution:   Oracle has issued a fix.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2017-1809.html

Vendor URL:  linux.oracle.com/errata/ELSA-2017-1809.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Apr 11 2017 Apache Tomcat Application Listener Facade Object Error Lets Remote Users Modify Data on the Target System



 Source Message Contents

Subject:  [El-errata] ELSA-2017-1809 Important: Oracle Linux 7 tomcat security update

Oracle Linux Security Advisory ELSA-2017-1809

http://linux.oracle.com/errata/ELSA-2017-1809.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
tomcat-7.0.69-12.el7_3.noarch.rpm
tomcat-admin-webapps-7.0.69-12.el7_3.noarch.rpm
tomcat-docs-webapp-7.0.69-12.el7_3.noarch.rpm
tomcat-el-2.2-api-7.0.69-12.el7_3.noarch.rpm
tomcat-javadoc-7.0.69-12.el7_3.noarch.rpm
tomcat-jsp-2.2-api-7.0.69-12.el7_3.noarch.rpm
tomcat-jsvc-7.0.69-12.el7_3.noarch.rpm
tomcat-lib-7.0.69-12.el7_3.noarch.rpm
tomcat-servlet-3.0-api-7.0.69-12.el7_3.noarch.rpm
tomcat-webapps-7.0.69-12.el7_3.noarch.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/tomcat-7.0.69-12.el7_3.src.rpm



Description of changes:

[0:7.0.69-12]
- Resolves: rhbz#1441487 CVE-2017-5648 tomcat: Calls to application 
listeners did not use the appropriate facade object
- Resolves: rhbz#1441480 CVE-2017-5647 tomcat: Incorrect handling of 
pipelined requests when send file was used
- Resolves: rhbz#1459746 CVE-2017-5664 tomcat: Security constrained 
bypass in error page mechanism


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC